Loading...
Searching...
No Matches
oval_message Struct Reference
OVAL » OVALSYS

OVAL message. More...

`#include <oval_system_characteristics.h>`

## Public Member Functions

OSCAP_API struct oval_message * | oval_message_new (void)
OSCAP_API struct oval_message * | oval_message_clone (struct oval_message *old_message)
OSCAP_API void | oval_message_free (struct oval_message *)
Setters
OSCAP_API void | oval_message_set_text (struct oval_message *, char *)
OSCAP_API void | oval_message_set_level (struct oval_message *, oval_message_level_t)
Getters
OSCAP_API char * | oval_message_get_text (struct oval_message *message)
| Get OVAL message text.
OSCAP_API oval_message_level_t | oval_message_get_level (struct oval_message *message)
| Get OVAL message level.

## Data Fields

void * | model
char * | text
oval_message_level_t | level

## Detailed Description

OVAL message.

The documentation for this struct was generated from the following files:

- oval_message.c
- oval_system_characteristics.h